This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 834240 - webadmin [Direct Lun]: we can select more than one lun when creating a direct lun
webadmin [Direct Lun]: we can select more than one lun when creating a direct...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
high Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
Pavel Stehlik
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 06:01 EDT by Dafna Ron
Modified: 2016-02-10 11:37 EST (History)
12 users (show)

See Also:
Fixed In Version: SI14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:08:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-06-21 06:01:58 EDT
Description of problem:

direct lun should consist of one lun only. 
I was able to select and sent to vdsm create from 2 luns. 


Version-Release number of selected component (if applicable):

si6

How reproducible:

100%

Steps to Reproduce:
1. create several targets 
2. login to the targets
3. select one in the target screen
4. move to the lun screen -> we can select two -> press OK
  
Actual results:

we create a disk consisting of more than one lun

Expected results:

we currently allow only one lun per disk

Additional info:
Comment 1 Itamar Heim 2012-06-21 07:50:06 EDT
ayal - could a direct lun disk consit of more than a single LUN (I assume it can)
if we block it, should be in engine as well, not UI level.
Comment 2 Ayal Baron 2012-06-24 06:05:26 EDT
(In reply to comment #1)
> ayal - could a direct lun disk consit of more than a single LUN (I assume it
> can)
> if we block it, should be in engine as well, not UI level.

I cannot think right now how it would be possible to use more than 1.
Should be blocked (each lun is a separate disk)
Comment 6 Daniel Erez 2012-08-05 14:02:56 EDT
commit 1ef1c400f32f5eb088e6ee91c28aade9950c3fc7

webadmin: fixed
core: it's not possible to pass more than one LUN when creating a DirectLUN disk

Note You need to log in before you can comment on or make changes to this bug.